Delen via


Entra Id Assignments - Update

Updates Entra toegang tot toewijzingen in bulk.

PATCH {endpoint}/access/entra/assignments?api-version=2025-03-02-preview

URI-parameters

Name In Vereist Type Description
endpoint
path True

string (url)

De communicatieresource, bijvoorbeeld https://my-resource.communication.azure.com

api-version
query True

string

De versie van de API die moet worden aangeroepen.

Aanvraagbody

Media Types: "application/merge-patch+json"

Name Type Description

EntraAssignmentCreateOrUpdateRequest

Antwoorden

Name Type Description
200 OK

EntraAssignmentsResponse

Geslaagd

204 No Content

Geen inhoud

Other Status Codes

CommunicationErrorResponse

Fout

Voorbeelden

Update Assignments

Voorbeeldaanvraag

PATCH https://my-resource.communication.azure.com/access/entra/assignments?api-version=2025-03-02-preview

{
  "b27b64b9-39d2-44a3-869d-67700b74e805": {
    "tenantId": "c70d068c-2f32-484d-9455-73070cd5aadd",
    "principalType": "user",
    "clientIds": [
      "617d08b5-f35b-4270-87d6-56833d2dee1b"
    ]
  },
  "eaf4bdca-9343-492B-a5e2-9310fbe393b8": null,
  "fd63f3cb-3731-4d15-8e47-9d062aba58c5": {
    "tenantId": "c70d068c-2f32-484d-9455-73070cd5aadd",
    "principalType": "user",
    "clientIds": [
      "617d08b5-f35b-4270-87d6-56833d2dee1b"
    ]
  }
}

Voorbeeldrespons

{
  "value": [
    {
      "objectId": "b27b64b9-39d2-44a3-869d-67700b74e805",
      "tenantId": "c70d068c-2f32-484d-9455-73070cd5aadd",
      "principalType": "user",
      "clientIds": [
        "617d08b5-f35b-4270-87d6-56833d2dee1b"
      ]
    },
    {
      "objectId": "fd63f3cb-3731-4d15-8e47-9d062aba58c5",
      "tenantId": "c70d068c-2f32-484d-9455-73070cd5aadd",
      "principalType": "user",
      "clientIds": [
        "617d08b5-f35b-4270-87d6-56833d2dee1b"
      ]
    }
  ]
}

Definities

Name Description
CommunicationError

De Communication Services-fout.

CommunicationErrorResponse

De Communication Services-fout.

EntraAssignment
EntraAssignmentCreateOrUpdateRequest
EntraAssignmentsResponse
EntraPrincipalType

CommunicationError

De Communication Services-fout.

Name Type Description
code

string

De foutcode.

details

CommunicationError[]

Meer informatie over specifieke fouten die tot deze fout hebben geleid.

innererror

CommunicationError

De interne fout indien aanwezig.

message

string

Het foutbericht.

target

string

Het foutdoel.

CommunicationErrorResponse

De Communication Services-fout.

Name Type Description
error

CommunicationError

De Communication Services-fout.

EntraAssignment

Name Type Description
clientIds

string[]

objectId

string

principalType

EntraPrincipalType

tenantId

string

EntraAssignmentCreateOrUpdateRequest

Name Type Description
clientIds

string[]

principalType

EntraPrincipalType

tenantId

string

EntraAssignmentsResponse

Name Type Description
nextLink

string

value

EntraAssignment[]

EntraPrincipalType

Waarde Description
user
group
tenant